texlive[53848] trunk: doc

commits+karl at tug.org commits+karl at tug.org
Wed Feb 19 23:28:45 CET 2020


Revision: 53848
          http://tug.org/svn/texlive?view=revision&revision=53848
Author:   karl
Date:     2020-02-19 23:28:45 +0100 (Wed, 19 Feb 2020)
Log Message:
-----------
doc

Modified Paths:
--------------
    trunk/Build/source/README
    trunk/Master/texmf-dist/scripts/texlive/NEWS
    trunk/Master/tlpkg/bin/cmp-textfiles

Modified: trunk/Build/source/README
===================================================================
--- trunk/Build/source/README	2020-02-19 22:12:54 UTC (rev 53847)
+++ trunk/Build/source/README	2020-02-19 22:28:45 UTC (rev 53848)
@@ -33,11 +33,13 @@
   ./Build --enable-arm-neon=check
 
 i386-netbsd, amd64-netbsd:
-  gcc version 4.5.3 (NetBSD nb2 20110806)
-  NetBSD/amd64 6.1.3
-  TL_MAKE=gmake CC=gcc CXX=g++ CFLAGS=-D_NETBSD_SOURCE \
-  LDFLAGS='-L/usr/X11R7/lib -Wl,-rpath,/usr/X11R7/lib' \
-  ./Build --enable-xindy CLISP=/usr/local/bin/clisp
+  NetBSD/amd64 9.0
+  gcc version 7.4.0 (nb3 20190319)
+    TL_MAKE=gmake CC=gcc CXX=g++ \
+    CFLAGS=-D_NETBSD_SOURCE \
+    CXXFLAGS='-D_NETBSD_SOURCE -std=c++11' \
+    LDFLAGS='-L/usr/X11R7/lib -Wl,-rpath,/usr/X11R7/lib' \
+  ./Build --enable-xindy CLISP=/usr/local/bin/clisp --disable-dvisvgm
 
 i386-freebsd, amd64-freebsd:
   http://anthesphoria.net/FreeBSD/TeXLive-2018/ has details for 2018.

Modified: trunk/Master/texmf-dist/scripts/texlive/NEWS
===================================================================
--- trunk/Master/texmf-dist/scripts/texlive/NEWS	2020-02-19 22:12:54 UTC (rev 53847)
+++ trunk/Master/texmf-dist/scripts/texlive/NEWS	2020-02-19 22:28:45 UTC (rev 53848)
@@ -1,6 +1,8 @@
 (This file public domain.  Originally written by Norbert Preining and
 Karl Berry, 2010.)
 
+<li>more specific verification error messages
+
 <p><b>tlmgr 53428 (released 17jan20):</b>
 <li>automatic retry of packages that fail to download.
 <li>rearrange packaging so little-used scripts are not part of

Modified: trunk/Master/tlpkg/bin/cmp-textfiles
===================================================================
--- trunk/Master/tlpkg/bin/cmp-textfiles	2020-02-19 22:12:54 UTC (rev 53847)
+++ trunk/Master/tlpkg/bin/cmp-textfiles	2020-02-19 22:28:45 UTC (rev 53848)
@@ -1,7 +1,8 @@
 #!/usr/bin/env perl
 # $Id$
 # Public domain.  Originally written 2008, Karl Berry.
-# Compare two files considering CR, LF, and CRLF as equivalent. ,
+# Compare two files considering CR, LF, and CRLF as equivalent,
+# ignoring blank lines,
 # and ignoring %% lines (see below).
 # 
 # Used in place and tlpkg-ctan-check in TeX Live.
@@ -12,7 +13,7 @@
   if (@ARGV != 2) {
     warn <<END_USAGE;
 Usage: $0 FILE1 FILE2.
-Compare as text files, ignoring line endings.
+Compare as text files, ignoring line endings and %% lines.
 Exit status is zero if the same, 1 if different, something else if trouble.
 END_USAGE
     exit $ARGV[0] eq "--help" ? 0 : 2;
@@ -38,15 +39,14 @@
   my ($fname) = @_;
   my $ret = "";
   
-  local *FILE;
-  open (FILE, $fname) || die "open($fname) failed: $!";
-  while (<FILE>) {
+  open (my $FILE, $fname) || die "open($fname) failed: $!";
+  while (<$FILE>) {
     s/\r\n?/\n/g;
     next if /^\s*%%\s*$/; # ignore %% lines, see above.
     #warn "line is |$_|";
     $ret .= $_;
   }
-  close (FILE) || warn "close($fname) failed: $!";
+  close ($FILE) || warn "close($fname) failed: $!";
 
   # if the file did not have a trailing newline, add one for purposes of
   # comparison, since it can slip in if we edit it, etc.



More information about the tex-live-commits mailing list.